
import { CommonService } from '~/plugins/api/common';

export default () => ({
    recommendConsultantList(){
        const debugData = [
            {
                new: true,
                agentNo: 0,
                name: '張小美',
                img: '',
                professionals: ['財務規劃', '資產轉移'],
                satisfaction: 4.8,
                contactStatus: 'reserved',
                updateTime: 'Tue Nov 02 2021 11:40:02 GMT+0800 (台北標準時間)'
            },
            {
                new: true,
                agentNo: 1,
                name: '蔣帥哥',
                img: '',
                professionals: [],
                satisfaction: 4,
                contactStatus: 'contacted',
                updateTime: 'Tue Nov 02 2021 11:40:02 GMT+0800 (台北標準時間)'
            },
            {
                new: false,
                agentNo: 2,
                name: '林美女',
                img: '',
                professionals: ['財務規劃', '資產轉移'],
                satisfaction: 5,
                contactStatus: 'picked',
                updateTime: 'Tue Oct 12 2021 19:05:02 GMT+0800 (台北標準時間)'
            },
            {
                new: false,
                agentNo: 3,
                name: '蔡美眉',
                img: '',
                professionals: ['財務規劃', '資產轉移'],
                satisfaction: 4.3,
                contactStatus: 'picked',
                updateTime: 'Tue Nov 02 2021 11:40:02 GMT+0800 (台北標準時間)'
            },
            {
                new: true,
                agentNo: 4,
                name: '張小美',
                img: '',
                professionals: [],
                satisfaction: 4.8,
                contactStatus: 'picked',
                updateTime: 'Tue Nov 02 2021 11:40:02 GMT+0800 (台北標準時間)'
            },
            {
                new: true,
                agentNo: 5,
                name: '蔣帥哥',
                img: '',
                professionals: ['財務規劃', '資產轉移'],
                satisfaction: 4.8,
                contactStatus: 'reserved',
                updateTime: 'Tue Nov 02 2021 11:40:02 GMT+0800 (台北標準時間)'
            },
            {
                new: false,
                agentNo: 6,
                name: '林美女',
                img: '',
                professionals: ['財務規劃', '資產移轉', '節稅', '樂活退休'],
                satisfaction: 4.8,
                contactStatus: 'picked',
                updateTime: 'Tue Nov 02 2021 10:40:02 GMT+0800 (台北標準時間)'
            },
            {
                new: false,
                agentNo: 7,
                name: '蔡美眉',
                img: '',
                professionals: ['財務規劃', '節稅', '樂活退休'],
                satisfaction: 4.8,
                contactStatus: 'picked',
                updateTime: 'Tue Sep 02 2021 09:40:02 GMT+0800 (台北標準時間)'
            }
        ]
        return CommonService.prototype.withDebugData(debugData, '')
    },
    clientReservedList() {
        const debugData = [{
            name: '王聰明',
            clientId: '1',
            phone: '091234567',
            time: new Date('Tue Nov 02 2021 11:23:14 GMT+0800 (台北標準時間)'),
            gender: 'male',
            age: '26-30',
            job: 'general',
            requirements: ['保單健檢/規劃', '防疫保單相關'],
            communicateStatus: 'reserved'
        },{
            name: 'Ariel',
            clientId: '2',
            phone: '091234567',
            time: new Date('Tue Oct 15 2020 11:23:14 GMT+0800 (台北標準時間)'),
            gender: 'female',
            age: '30-40',
            job: 'general',
            requirements: ['保單健檢/規劃', '資產轉移', '防疫保單相關'],
            communicateStatus: 'contacted'
        },{
            name: 'Donna',
            clientId: '3',
            phone: '091234567',
            time: new Date('Tue Oct 31 2021 10:23:14 GMT+0800 (台北標準時間)'),
            gender: 'female',
            age: '10-20',
            job: 'general',
            requirements: ['防疫保單相關'],
            communicateStatus: 'reserved'
        },{
            name: '陳爸爸',
            clientId: '4',
            phone: '091234567',
            time: new Date('Tue Dec 31 2020 19:23:14 GMT+0800 (台北標準時間)'),
            gender: 'female',
            age: '50-60',
            job: 'general',
            requirements: ['資產轉移', '節稅'],
            communicateStatus: 'reserved'
        },{
            name: '李伯伯',
            clientId: '5',
            phone: '091234567',
            time: new Date('Tue Oct 15 2020 11:23:14 GMT+0800 (台北標準時間)'),
            gender: 'male',
            age: '60-70',
            job: 'general',
            requirements: ['節稅', '資產轉移', '防疫保單相關'],
            communicateStatus: 'contacted'
        },{
            name: '蔡媽媽',
            clientId: '6',
            phone: '091234567',
            time: new Date('Tue Dec 31 2020 19:23:14 GMT+0800 (台北標準時間)'),
            gender: 'female',
            age: '50-60',
            job: 'general',
            requirements: [],
            communicateStatus: 'reserved'
        }]

        return CommonService.prototype.withDebugData(debugData, '')
    }
})

export interface Agents {
    agentNo: number,
    name: string,
    img: string,
    new: boolean,
    satisfaction: number,
    professionals: string[],
    contactStatus: string,
    updateTime: Date
  }